Bug 24352 - Error during formatting
Error during formatting
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-19 09:43 EST by David Tonhofer
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 01:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2001-01-19 09:43:06 EST
RedHat stops during installation. It starts formatting, then 
the error "Cannot format swap device" appears, at which the 
following was given out:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 1052257
fsystem: ext2
self: <fstab.GuiFstab instance at 8446f48>
msg: Invalid argument
doFormat: 1
errno: 22
device: hda3
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

(Btw, the session tracking in Bugzilla is not working correctly)
Comment 1 David Tonhofer 2001-01-19 09:58:04 EST
Note that the above error happened when I had checked 'verify bad blocks'.
I retried without this, and it worked.
Comment 2 Michael Fulbright 2001-01-19 11:33:37 EST
Thanks for the info.

Looks alot like bug 16686.
Comment 3 Brent Fox 2001-01-24 13:30:29 EST
How many hard drives are in your system and how big are they?  Can you tell me
exactly what partitions you created and how big they were?  Did you format all
partitions?
Comment 4 Brent Fox 2001-02-10 01:17:35 EST
I think we've resolved this issue with better error checking routines.  Please
reopen if problem persists in future releases.

Note You need to log in before you can comment on or make changes to this bug.